org.apache.cassandra.io.util

## Class CompressedSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.CompressedSegmentedFile

All Implemented Interfaces:
  ICompressedFile

    public class CompressedSegmentedFile
    extends SegmentedFile
    implements ICompressedFile

### Nested Class Summary

Nested Classes
`static class` `CompressedSegmentedFile.Builder`

### Field Summary

Fields
`CompressionMetadata` `metadata`

### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

`length, onDiskLength, path`

### Constructor Summary

Constructors
Constructor and Description
`CompressedSegmentedFile(java.lang.String path, CompressionMetadata metadata)`

### Method Summary

Methods
`void` `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
`CompressionMetadata` `getMetadata()`
`FileDataInput` `getSegment(long position)`

### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

`getBuilder, getCompressedBuilder, getCompressedBuilder, iterator, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### metadata

    public final CompressionMetadata metadata

### Constructor Detail

#### CompressedSegmentedFile

    public CompressedSegmentedFile(java.lang.String path,
                           CompressionMetadata metadata)

### Method Detail

#### getSegment

    public FileDataInput getSegment(long position)

Specified by:
  `getSegment` in class `SegmentedFile`

#### getMetadata

    public CompressionMetadata getMetadata()

Specified by:
  `getMetadata` in interface `ICompressedFile`

#### cleanup

    public void cleanup()

Description copied from class: `SegmentedFile`
Do whatever action is needed to reclaim ressources used by this SegmentedFile.

Specified by:
  `cleanup` in class `SegmentedFile`